> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/guides/changelog/v6-1-0.md).

# Version 6.1.0

Enhance your app with the latest PDFNet features! Discover support for new architectures, reduced app size, new tools, and more. Check out the release notes for details. The Apryse iOS SDK streamlines

Release Date: 2013.11.18

* Support for new architectures arm64 and x86\_64 (in addition to armv7, armv7s and i386).
* Now uses an external resource file which reduces the final app size by 2.9 MB for each additional architecture. For an app that is compiled for armv7, armv7s and arm64 this will save 5.8 MB. To initialize PDFNet, you must now call \[PDFNetInitialize@""]; \[PDFNet SetResourcePath:resourcePath];. See the readme for details.
* Tools source code is now included as part of the standard distribution. The PDFViewCtrlDemo sample project should now be run from the workspace "PDFViewCtrlDemo with Tools" which combines the PDFViewCtrlDemo and Tools projects into a single workspace for development convenience.
* Tools source code has been converted to Automatic Reference Counting (ARC).
* Two new built-in tools, one for applying a digital signature to a signature field, and the other to play rich media annotations (videos) in place. The freehand tool now has built-in support for creating multistroke annotations.
* The built-in tools now use a new easy-to-use color picker.
* New "Miscellaneous Samples" project that runs common cross-platform samples (<https://docs.apryse.com/samples/>).
* Samples have been visually adjusted for iOS 7 and are all compatible with the iPhone.
* The minimum deployment target is iOS 5 for 32-bit architectures (armv7, armv7s, i386) and iOS 7 for 64-bit architectures (arm64, x86\_64).
* New PDFViewCtrl APIs. Please see documentation for details:

OpenUrlAsync:WithPDFPassword:WithCacheFile:WithOptions: SelectWithSelection: Update: zoomToRect:animated: GetVisiblePages CancelFindText GetLinkAt:y: SetViewerCache:max\_cache\_size:on\_disk: keyboardWillShow:rectToNotOverlapWith: keyboardWillHide: zoomScale SetRightToLeftLanguage: GetRightToLeftLanguage onRenderFinished (delegate method)

* Changed PDFViewCtrl APIs.

SetProgressiveRenderingInterval: replaced by SetProgressiveRendering:withInitialDelay:withInterval: SetZoomMinimum:Maxiumum:Mode: replaced by SetZoomLimits:Minimum:Maxiumum: SetContentBufferSize: replaced by SetRenderedContentBufferSize PurgeCachedMemory replaced by PurgeMemory OpenUrl:WithPDFPassword: replaced by OpenUrlAsync:WithPDFPassword: OpenUrl:WithPDFPassword:WithCacheFile: replaced by OpenUrlAsync:WithPDFPassword:WithCacheFile: SetThinLineAdjustmentPixelGrid:StrokeAdjust: replaced by SetThinLineAdjustment:StrokeAdjust: SetContentBufferSize: replaced by SetRenderedContentBufferSize:

* Removed PDFViewCtrl APIs.

SelectWithTextSelect:y1:x2:y2:; SelectWithStructure:y1:page1:x2:y2:page2: SetAnnotationEditingEnabled: (can control this by modifying the tools source code) AnnotationEditingEnabled (can control this by modifying the tools source code) LinkActivationEnabled (can control this by modifying the tools source code)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/ios/guides/changelog/v6-1-0.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
